spec:
  inputs:
    job_name:
      default: sources
      description: "Name to give this job in the pipeline"
    stage:
      default: build
      description: "Pipeline stage in which to place this job"
    image:
      default: igwn/builder:el9-testing
      description: "Container image to use"
    spec_name:
      default: "*.spec"
      description: "Name/pattern to identify the spec file"

---

include:
  - component: $CI_SERVER_FQDN/computing/gitlab/components/redhat/base@~latest

$[[ inputs.job_name ]]:
  stage: $[[ inputs.stage ]]
  extends: .redhat_base
  image: $[[ inputs.image ]]
  script:
    - dnf -q -y install
        rpmdevtools
    - spectool --list-files $[[ inputs.spec_name ]]
    - spectool
        --directory $CI_PROJECT_DIR
        --get-files
        $[[ inputs.spec_name ]]
  artifacts:
    name: sources
    paths:
      - $[[ inputs.spec_name ]]
    untracked: true
